Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface EJBContainerConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface EJBContainerConfig
extends AMXConfig, Container, PropertiesAccess

Configuration for the <ejb-container> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`EJBTimerServiceConfig` | `createEJBTimerServiceConfig(java.util.Map params)` Creates ejb-timer-service element.
`java.lang.String` | `getCacheIdleTimeoutInSeconds()`
`java.lang.String` | `getCacheResizeQuantity()`
`java.lang.String` | `getCommitOption()`
`EJBTimerServiceConfig` | `getEJBTimerServiceConfig()`
`java.lang.String` | `getMaxCacheSize()`
`java.lang.String` | `getMaxPoolSize()`
`java.lang.String` | `getPoolIdleTimeoutInSeconds()`
`java.lang.String` | `getPoolResizeQuantity()`
`java.lang.String` | `getRemovalTimeoutInSeconds()`
`java.lang.String` | `getSessionStore()`
`java.lang.String` | `getSteadyPoolSize()`
`java.lang.String` | `getVictimSelectionPolicy()`
`void` | `removeEJBTimerServiceConfig()` Removes ejb-timer-service element from config
`void` | `setCacheIdleTimeoutInSeconds(java.lang.String value)`
`void` | `setCacheResizeQuantity(java.lang.String value)`
`void` | `setCommitOption(java.lang.String value)`
`void` | `setMaxCacheSize(java.lang.String value)`
`void` | `setMaxPoolSize(java.lang.String value)`
`void` | `setPoolIdleTimeoutInSeconds(java.lang.String value)`
`void` | `setPoolResizeQuantity(java.lang.String value)`
`void` | `setRemovalTimeoutInSeconds(java.lang.String value)`
`void` | `setSessionStore(java.lang.String value)`
`void` | `setSteadyPoolSize(java.lang.String value)`
`void` | `setVictimSelectionPolicy(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getCacheIdleTimeoutInSeconds

    public java.lang.String getCacheIdleTimeoutInSeconds()

### setCacheIdleTimeoutInSeconds

    public void setCacheIdleTimeoutInSeconds(java.lang.String value)

### getCacheResizeQuantity

    public java.lang.String getCacheResizeQuantity()

### setCacheResizeQuantity

    public void setCacheResizeQuantity(java.lang.String value)

### getCommitOption

    public java.lang.String getCommitOption()

### setCommitOption

    public void setCommitOption(java.lang.String value)

### getMaxCacheSize

    public java.lang.String getMaxCacheSize()

### setMaxCacheSize

    public void setMaxCacheSize(java.lang.String value)

### getMaxPoolSize

    public java.lang.String getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(java.lang.String value)

### getPoolIdleTimeoutInSeconds

    public java.lang.String getPoolIdleTimeoutInSeconds()

### setPoolIdleTimeoutInSeconds

    public void setPoolIdleTimeoutInSeconds(java.lang.String value)

### getPoolResizeQuantity

    public java.lang.String getPoolResizeQuantity()

### setPoolResizeQuantity

    public void setPoolResizeQuantity(java.lang.String value)

### getRemovalTimeoutInSeconds

    public java.lang.String getRemovalTimeoutInSeconds()

### setRemovalTimeoutInSeconds

    public void setRemovalTimeoutInSeconds(java.lang.String value)

### getSessionStore

    public java.lang.String getSessionStore()

### setSessionStore

    public void setSessionStore(java.lang.String value)

### getSteadyPoolSize

    public java.lang.String getSteadyPoolSize()

### setSteadyPoolSize

    public void setSteadyPoolSize(java.lang.String value)

### getVictimSelectionPolicy

    public java.lang.String getVictimSelectionPolicy()

### setVictimSelectionPolicy

    public void setVictimSelectionPolicy(java.lang.String value)

### createEJBTimerServiceConfig

    public EJBTimerServiceConfig createEJBTimerServiceConfig(java.util.Map params)

  Creates ejb-timer-service element. Legal options include:
  - `EJBTimerServiceConfigKeys.MINIMUM_DELIVERY_INTERVAL_IN_MILLIS_KEY`
  - `EJBTimerServiceConfigKeys.MAX_REDELIVERIES_KEY`
  - `EJBTimerServiceConfigKeys.TIMER_DATASOURCE_KEY`
  - `EJBTimerServiceConfigKeys.REDELIVERY_INTERVAL__INTERNAL_IN_MILLIS_KEY`

  Parameters:
    `params` -
  Returns:
    A proxy to the EJBTimerServiceConfig MBean.
  See Also:
    `EJBTimerServiceConfigKeys.REDELIVERY_INTERVAL__INTERNAL_IN_MILLIS_KEY`

### removeEJBTimerServiceConfig

    public void removeEJBTimerServiceConfig()

  Removes ejb-timer-service element from config

### getEJBTimerServiceConfig

    public EJBTimerServiceConfig getEJBTimerServiceConfig()

  Returns:
    Get the EJBTimerServiceConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.